TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
TIBCO.EMS.ADMIN.SSLParams Class Reference

This class represents all the possible SSL paramters. More...

Inheritance diagram for TIBCO.EMS.ADMIN.SSLParams:

## Public Attributes
const string | SSL_VENDOR_PARAM = "sslvdr"
| String parameter for the SSL implementation vendor (factories only). More...
const string | SSL_TRUSTED_PARAM = "ssltrst"
| List parameter for the List of trusted certificates. More...
const string | SSL_VERIFY_HOST_PARAM = "sslver"
| Boolean parameter indicating whether or not hosts should be verified. More...
const string | SSL_VERIFY_HOSTNAME_PARAM = "sslverhn"
| Boolean parameter indicating whether or not hostnames should be verified. More...
const string | SSL_EXPECTED_HOSTNAME_PARAM = "sslexphn"
| String parameter for the expeted hostname of the server. More...
const string | SSL_AUTH_ONLY_PARAM = "sslau"
| Boolean parameter indicating whether or not SSL is used only for authentication. More...
const string | SSL_IDENTITY_PARAM = "ssliden"
| String parameter for the filename of the identity file. More...
const string | SSL_ISSUERS_PARAM = "ssliss"
| List parameter for the list of SSL certificate filenames used to issue client certificates. More...
const string | SSL_PRIVATE_KEY_PARAM = "sslpk"
| String parameter for the filename of the private key file. More...
const string | SSL_RENEG_SIZE_PARAM = "sslrensize"
| Long parameter for the SSL renogotion size, in bytes. More...
const string | SSL_RENEG_INTERVAL_PARAM = "sslrenint"
| Long parameter for the SSL renogotion interval, in seconds. More...
const string | SSL_CRL_PATH_PARAM = "sslcrlpath"
| String parmeter for the SSL CRL path. More...
const string | SSL_CRL_UPDATE_IVL_PARAM = "sslcrlivl"
| Long parameter for the SSL CRL update interval, in hours. More...
const string | SSL_CIPHERS_PARAM = "sslcip"
| String parmeter for the SSL ciphers. More...
const string | SSL_PASSWORD_PARAM = "sslpsw"
| String parmeter for the SSL password (routes only). More...
const string | SSL_EGD_PARAM = "sslegd"
| String parmeter for the path to the installed Enthropy Gathering Daemon. More...

## Additional Inherited Members
Public Member Functions inherited from TIBCO.EMS.ADMIN.ThirdPartyParams
override string | ToString ()
| Generate a string representation of parameters. More...

## Detailed Description

This class represents all the possible SSL paramters.

## Member Data Documentation

const string TIBCO.EMS.ADMIN.SSLParams.SSL_AUTH_ONLY_PARAM = "sslau"

Boolean parameter indicating whether or not SSL is used only for authentication.

Since Version 4.2

const string TIBCO.EMS.ADMIN.SSLParams.SSL_CIPHERS_PARAM = "sslcip"

String parmeter for the SSL ciphers.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_CRL_PATH_PARAM = "sslcrlpath"

String parmeter for the SSL CRL path.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_CRL_UPDATE_IVL_PARAM = "sslcrlivl"

Long parameter for the SSL CRL update interval, in hours.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_EGD_PARAM = "sslegd"

String parmeter for the path to the installed Enthropy Gathering Daemon.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_EXPECTED_HOSTNAME_PARAM = "sslexphn"

String parameter for the expeted hostname of the server.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_IDENTITY_PARAM = "ssliden"

String parameter for the filename of the identity file.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_ISSUERS_PARAM = "ssliss"

List parameter for the list of SSL certificate filenames used to issue client certificates.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_PASSWORD_PARAM = "sslpsw"

String parmeter for the SSL password (routes only).

const string TIBCO.EMS.ADMIN.SSLParams.SSL_PRIVATE_KEY_PARAM = "sslpk"

String parameter for the filename of the private key file.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_RENEG_INTERVAL_PARAM = "sslrenint"

Long parameter for the SSL renogotion interval, in seconds.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_RENEG_SIZE_PARAM = "sslrensize"

Long parameter for the SSL renogotion size, in bytes.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_TRUSTED_PARAM = "ssltrst"

List parameter for the List of trusted certificates.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_VENDOR_PARAM = "sslvdr"

String parameter for the SSL implementation vendor (factories only).

const string TIBCO.EMS.ADMIN.SSLParams.SSL_VERIFY_HOST_PARAM = "sslver"

Boolean parameter indicating whether or not hosts should be verified.

const string TIBCO.EMS.ADMIN.SSLParams.SSL_VERIFY_HOSTNAME_PARAM = "sslverhn"

Boolean parameter indicating whether or not hostnames should be verified.